package com.mvc.dao;

import com.mvc.entity.TReviewCompare;
import com.mvc.entity.TReviewCompareExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TReviewCompareMapper {
    long countByExample(TReviewCompareExample example);

    int deleteByExample(TReviewCompareExample example);

    int deleteByPrimaryKey(Integer taskReviewId);

    int insert(TReviewCompare record);

    int insertSelective(TReviewCompare record);

    List<TReviewCompare> selectByExample(TReviewCompareExample example);

    TReviewCompare selectByPrimaryKey(Integer taskReviewId);

    int updateByExampleSelective(@Param("record") TReviewCompare record, @Param("example") TReviewCompareExample example);

    int updateByExample(@Param("record") TReviewCompare record, @Param("example") TReviewCompareExample example);

    int updateByPrimaryKeySelective(TReviewCompare record);

    int updateByPrimaryKey(TReviewCompare record);
}